# Create Vendor Profile

## POST /public/v1/public-catalog/vendor-profiles

> Creates a new vendor-profile record in the public catalog.\
> Accepts a request with necessary details to create the vendor-profiles.

```json
{"openapi":"3.0.1","info":{"title":"Marketplace API","version":"5.0.5102-g2bf281b6"},"servers":[{"url":"https://api.platform.softwareone.com"}],"paths":{"/public/v1/public-catalog/vendor-profiles":{"post":{"tags":["VendorProfiles"],"summary":"Creates a new vendor-profile record in the public catalog.\nAccepts a request with necessary details to create the vendor-profiles.","requestBody":{"content":{"multipart/form-data":{"schema":{"type":"object","properties":{"vendorProfile":{"type":"object","properties":{"Name":{"type":"string"},"Description":{"type":"string"},"Featured":{"type":"boolean"},"Website":{"type":"string"},"LinkedIn":{"type":"string"},"Facebook":{"type":"string"},"YouTube":{"type":"string"},"XProfile":{"type":"string"},"Categories":{"type":"array","items":{"$ref":"#/components/schemas/RequestObjectLink"}},"ProductProfiles":{"type":"array","items":{"$ref":"#/components/schemas/RequestObjectLink"}}},"description":"Json representation of the vendorProfile"},"icon":{"type":"string","format":"binary"}}},"encoding":{"vendorProfile":{"contentType":"application/json"},"icon":{"contentType":"application/octet-stream"}}},"application/json":{"schema":{"type":"object","properties":{"vendorProfile":{"type":"object","properties":{"Name":{"type":"string"},"Description":{"type":"string"},"Featured":{"type":"boolean"},"Website":{"type":"string"},"LinkedIn":{"type":"string"},"Facebook":{"type":"string"},"YouTube":{"type":"string"},"XProfile":{"type":"string"},"Categories":{"type":"array","items":{"$ref":"#/components/schemas/RequestObjectLink"}},"ProductProfiles":{"type":"array","items":{"$ref":"#/components/schemas/RequestObjectLink"}}},"description":"Json representation of the vendorProfile"},"icon":{"type":"string","format":"binary"}}}}}},"responses":{"201":{"description":"Created","content":{"application/json":{"schema":{"$ref":"#/components/schemas/VendorProfile"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}},"components":{"schemas":{"RequestObjectLink":{"type":"object","properties":{"id":{"type":"string"}},"additionalProperties":false},"VendorProfile":{"type":"object","properties":{"id":{"type":"string"},"audit":{"allOf":[{"$ref":"#/components/schemas/VendorProfileAudit"}]},"$meta":{"allOf":[{"$ref":"#/components/schemas/PlatformMetadata"}],"nullable":true},"name":{"type":"string"},"icon":{"type":"string","nullable":true},"revision":{"type":"integer","format":"int32"},"description":{"type":"string","nullable":true},"featured":{"type":"boolean","nullable":true},"website":{"type":"string","nullable":true},"linkedIn":{"type":"string","nullable":true},"facebook":{"type":"string","nullable":true},"youTube":{"type":"string","nullable":true},"xProfile":{"type":"string","nullable":true},"categories":{"type":"array","items":{"$ref":"#/components/schemas/CategoryEntityRef"},"nullable":true},"productProfiles":{"type":"array","items":{"$ref":"#/components/schemas/ProductProfileRef"},"nullable":true},"vendor":{"allOf":[{"$ref":"#/components/schemas/Account"}],"nullable":true},"status":{"enum":["Draft","Published","Unpublished","Deleted"],"type":"string"}},"additionalProperties":false},"VendorProfileAudit":{"type":"object","properties":{"created":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true},"updated":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true},"published":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true},"unpublished":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true}},"additionalProperties":false},"PlatformObjectEvent":{"type":"object","properties":{"at":{"type":"string","format":"date-time","nullable":true},"by":{"type":"object","allOf":[{"$ref":"#/components/schemas/PlatformIdentityRef"}]}},"additionalProperties":false},"PlatformIdentityRef":{"type":"object","properties":{"id":{"type":"string"},"name":{"type":"string"},"icon":{"type":"string","nullable":true},"revision":{"type":"integer","format":"int32"}},"additionalProperties":false},"PlatformMetadata":{"type":"object","properties":{"omitted":{"type":"array","items":{"type":"string"}}},"additionalProperties":false},"CategoryEntityRef":{"type":"object","properties":{"id":{"type":"string"},"name":{"type":"string"},"revision":{"type":"integer","format":"int32"},"status":{"enum":["Draft","Published","Unpublished","Deleted"],"type":"string"}},"additionalProperties":false},"ProductProfileRef":{"type":"object","properties":{"id":{"type":"string"},"name":{"type":"string"},"icon":{"type":"string","nullable":true},"revision":{"type":"integer","format":"int32"},"vendorProfile":{"allOf":[{"$ref":"#/components/schemas/VendorProfile"}],"nullable":true},"status":{"enum":["Draft","Published","Unpublished","Deleted"],"type":"string"}},"additionalProperties":false},"Account":{"type":"object","properties":{"id":{"type":"string"},"audit":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectAudit"}]},"$meta":{"allOf":[{"$ref":"#/components/schemas/PlatformMetadata"}],"nullable":true},"name":{"type":"string"},"icon":{"type":"string","nullable":true},"revision":{"type":"integer","format":"int32"},"type":{"allOf":[{"$ref":"#/components/schemas/AccountType"}],"nullable":true},"status":{"allOf":[{"$ref":"#/components/schemas/AccountStatus"}],"nullable":true},"externalIds":{"allOf":[{"$ref":"#/components/schemas/AccountExternalIds"}],"nullable":true},"externalId":{"type":"string","nullable":true},"externalName":{"type":"string","nullable":true},"address":{"allOf":[{"$ref":"#/components/schemas/Address"}]},"technicalSupportEmail":{"type":"string","nullable":true},"website":{"type":"string","nullable":true},"description":{"type":"string","nullable":true},"groups":{"type":"array","items":{"$ref":"#/components/schemas/UserGroupRef"},"nullable":true},"eligibility":{"allOf":[{"$ref":"#/components/schemas/Eligibility"}],"nullable":true},"defaultLanguageCode":{"type":"string","nullable":true}},"additionalProperties":false},"PlatformObjectAudit":{"type":"object","properties":{"created":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true},"updated":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true}},"additionalProperties":false},"AccountType":{"enum":["Client","Vendor","Operations"],"type":"string"},"AccountStatus":{"enum":["Active","Enabled","Disabled"],"type":"string"},"AccountExternalIds":{"type":"object","properties":{"pyraTenantId":{"type":"string","format":"uuid","nullable":true}},"additionalProperties":false},"Address":{"type":"object","properties":{"addressLine1":{"type":"string","nullable":true},"addressLine2":{"type":"string","nullable":true},"postCode":{"type":"string","nullable":true},"city":{"type":"string","nullable":true},"state":{"type":"string","nullable":true},"country":{"type":"string","nullable":true}},"additionalProperties":false},"UserGroupRef":{"type":"object","properties":{"id":{"type":"string"},"name":{"type":"string"},"revision":{"type":"integer","format":"int32"},"description":{"type":"string","nullable":true},"logo":{"type":"string","nullable":true},"isDefault":{"type":"boolean"}},"additionalProperties":false},"Eligibility":{"type":"object","properties":{"client":{"type":"boolean"},"partner":{"type":"boolean"}},"additionalProperties":false},"ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}}}
```
